# $Revision: 1.35 $, $Date: 2012/01/13 21:00:36 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	ODBC
Summary:	DBD::ODBC - ODBC Driver for DBI
Summary(pl.UTF-8):	DBD::ODBC - sterownik DBI do ODBC
Name:		perl-DBD-ODBC
Version:	1.23
Release:	3
# GPL or Artistic as specified in perl README file
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5ce4130a1c96995f730064f4d4b2836b
URL:		http://search.cpan.org/dist/DBD-ODBC/
BuildRequires:	perl-DBI >= 1.21
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	unixODBC-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::ODBC is DBD module interfacing the ODBC databases.

%description -l pl.UTF-8
DBD::ODBC jest modułem DBD komunikującym się z bazami danych z użyciem
ODBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%{__perl} -pi -e 's/.*(@\$\(NOOP\))/\t$1/' Makefile.PL
%{__perl} -pi -e 's@/lib/libodbc@/%{_lib}/libodbc@' Makefile.PL

%build
%{__perl} Makefile.PL \
	-o /usr \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_tests:%{__make} test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/ODBC.pm
%{perl_vendorarch}/DBD/ODBC
%dir %{perl_vendorarch}/auto/DBD/ODBC
%{perl_vendorarch}/auto/DBD/ODBC/ODBC.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/ODBC/ODBC.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-ODBC.spec,v $
Revision 1.35  2012/01/13 21:00:36  arekm
- release 3

Revision 1.34  2010/06/06 08:34:20  arekm
- release 2

Revision 1.33  2009/10/20 06:59:31  amateja
- updated to 1.23

Revision 1.32  2009/06/18 08:44:14  amateja
- updated to 1.22

Revision 1.31  2008/03/15 21:25:47  qboosh
- generic URL

Revision 1.30  2008-02-10 12:06:47  arekm
- rel 2

Revision 1.29  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.28  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.26  2004/11/11 21:52:10  paladine
- updated to 1.13

Revision 1.25  2004/11/03 22:30:15  paladine
- formatting

Revision 1.24  2004/11/01 22:05:19  adamg
- updated to 1.12

Revision 1.23  2004/05/08 18:26:18  qboosh
- fixed build on amd64, release 2

Revision 1.22  2004/04/20 10:08:06  ankry
- new bconds

Revision 1.21  2004/04/20 06:22:43  ankry
- better summary/description, license unification

Revision 1.20  2004/04/09 18:11:15  adamg
- updated to 1.09

Revision 1.19  2003/10/08 14:20:46  qboosh
- really updated (to 1.06), added hack for broken Makefile.PL

Revision 1.18  2003/09/15 09:41:55  adamg
- updated to 1.05

Revision 1.17  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.16  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/06/10 14:38:10  qboosh
- update to 1.05 (merged from RA-branch), release 2

Revision 1.14  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/03/01 18:04:46  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/25 00:38:30  radek
- use the __perl macro

Revision 1.10  2003/02/18 15:30:31  ankry
- massive attack: change CPAN URLs

Revision 1.9  2003/02/05 16:17:52  ankry
- autoupdated to 1.04

Revision 1.8  2003/01/15 17:56:11  mis
- autoupdated to 1.02

Revision 1.7  2002/10/02 14:32:20  qboosh
- use _without_tests, added bcond description

Revision 1.6  2002/08/18 12:02:43  blues
- release 2 - license fix; STBR

Revision 1.5  2002/08/07 05:34:18  kloczek
- updated to 0.43,
- added performing post build tests.

Revision 1.4  2002/07/11 11:43:42  qboosh
- new %%doc, cosmetics

Revision 1.3  2002/07/11 07:58:33  depesz
- new version; should work; STBR

Revision 1.2  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.1  2002/03/22 22:12:30  qboosh
- new
